Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Unable to update cPanel

Discussion in 'General Discussion' started by Liam W, Oct 1, 2014.

  1. Liam W

    Liam W Active Member

    Joined:
    Jul 8, 2012
    Messages:
    33
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    UK
    cPanel Access Level:
    Root Administrator
    Twitter:
    When I tried to update cPanel, I got a load of errors related to Mysql55 files conflicting with MySQL56 files.

    I've recently upgraded from 5.5 to 5.6.

    Liam
     
  2. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    44,749
    Likes Received:
    1,885
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello :)

    Could you let us know the specific error messages you receive?

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. Liam W

    Liam W Active Member

    Joined:
    Jul 8, 2012
    Messages:
    33
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    UK
    cPanel Access Level:
    Root Administrator
    Twitter:
    A few from the end:

    Code:
    [20141001.180846]       file /usr/include/mysql/mysql/psi/mysql_thread.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/include/mysql/mysql/psi/psi.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/include/mysql/mysql/services.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/include/mysql/mysql/thread_pool_priv.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/include/mysql/mysql_com.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/include/mysql/mysql_time.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/include/mysql/mysql_version.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/include/mysql/mysqld_ername.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/include/mysql/mysqld_error.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/include/mysql/sql_common.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/include/mysql/sql_state.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/include/mysql/sslopt-case.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/include/mysql/sslopt-longopts.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/include/mysql/sslopt-vars.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/include/mysql/typelib.h from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/lib64/mysql/libmysqlclient.a from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/lib64/mysql/libmysqlservices.a from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/share/man/man1/comp_err.1.gz from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]       file /usr/share/man/man1/mysql_config.1.gz from install of MySQL55-devel-5.5.37-2.cp1136.x86_64 conflicts with file from package MySQL56-devel-5.6.17-1.cp1142.x86_64
    [20141001.180846]   see http://go.cpanel.net/rpmcheckfailed for more information
    [20141001.180846]   The Administrator will be notified to review this output when this script completes
    [20141001.180846] E Detected events which require user notification during updatenow. Will send iContact the log
    [20141001.180846]   Removing staged files and directories for binaries/linux-x86_64, cpanel
    [20141001.180847]   Removing staged files and directories for x3
    [20141001.180847]   Removing staged files and directories for x3mail
    => Log closed Wed Oct  1 18:08:47 2014
    [20141001.180847]   17% complete
    [20141001.180847] E Running `/usr/local/cpanel/scripts/updatenow --upcp --log=/var/cpanel/updatelogs/update.1412183290.log` failed, exited with code 1 (signal = 0)
    => Log closed Wed Oct  1 18:08:47 2014
    
    Liam
     
  4. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    44,749
    Likes Received:
    1,885
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Please ensure the following entry exists in your /var/cpanel/cpanel.config file:

    Code:
    mysql-version=5.6
    The output suggests it's set as "mysql-version=5.5" even though you have MySQL 5.6 installed.

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. Liam W

    Liam W Active Member

    Joined:
    Jul 8, 2012
    Messages:
    33
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    UK
    cPanel Access Level:
    Root Administrator
    Twitter:
    Code:
    mysql-version=5.6
    is set...
     
  6. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    44,749
    Likes Received:
    1,885
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Could you open a support ticket using the link in my signature so we can take a closer look? You can post the ticket number here so we can update this thread with the outcome.

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice